Bug 239680 - atd laus_attach: No such device
atd laus_attach: No such device
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: laus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
Depends On:
  Show dependency treegraph
Reported: 2007-05-10 10:55 EDT by Marcela Mašláňová
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2007-05-10 10:55:41 EDT
Description of problem:

Version-Release number of selected component (if applicable):
How reproducible:
Use laus_attach in at.

Steps to Reproduce:
1. try to run at job version at-3.1.8-64.EL3
   touch /tmp/somefile | batch
2. see tail -f /var/log/messages
Actual results:
Apr 3 16:16:19 lab atd[1664]: LAuS error - atd.c:565 - laus_attach:(19)
laus_attach: No such device

Expected results:
no error message? Error message isn't the main problem.
If I want functional pam support I have to restart atd daemon after each reboot.

Additional info:
edit /etc/security/limits.conf
*          hard         fsize         4000000
reboot computer
log in as non root
echo "ulimit -a > /tmp/p" | batch
cat /tmp/p

Now if you restart at: service atd restart
and run 
echo "ulimit -a > /tmp/p" | batch 
again, you have the right size of limit 4000000.

I've tested it without laus and then is functional without restarting. I've also
read bug#131860, which's maybe related with problem and was also fixed with

The whole problem is in bug#196717.
Comment 2 Steve Grubb 2007-05-14 10:29:00 EDT
Is this a new problem caused by the new version of laus, or does any version of
laus cause this problem? Also, what is the start priority of at and laus? Do you
have any strace data showing what the code is doing? Does /dev/audit exist when
atd starts up?

Comment 8 RHEL Product and Program Management 2007-10-19 14:37:02 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.